Subject: bug#911: 23.0.60; custom-set-faces causes "New Frame" to fail

From: martin rudalics <[email-masked]>
Date: Thu, 25 Sep 2008 11:11:27 +0200

> How about defining a variable `frame-set-background-mode-bg-mode'?  If
 > it's nil, frame-set-background-mode uses the existing calculation to
 > determine whether it's light or dark; if it's non-nil, it uses that
 > existing value.  This should prevent the oscillation.

But who would be responsible for setting and resetting that variable?
Hardly `frame-set-background-mode' itself.  Would we make this a frame
parameter so the command loop can reset it and allow to change it once
and only once for a command?  Otherwise, we might risk reentering the
loop with the next call of `frame-set-background-mode'.

martin

BTW, it seems you already closed bug#911 ...